Skip to main content
POST
/
workflows
/
v1
/
workflows
/
{workflow_id}
/
expand-preview
Expand Preview
curl --request POST \
  --url https://api-qa.interactly.ai/workflows/v1/workflows/{workflow_id}/expand-preview \
  --header 'Authorization: Bearer <token>'
{
  "workflow_id": "<string>",
  "expanded_config": {
    "workflow_config": {
      "logical_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "category": "User Created",
      "llms_config": {
        "logical_id": "llm_ebc8cb0c-c3dd-486a-b640-91f9dbfd308c",
        "provider": "default_provider",
        "streaming": false,
        "max_retries": 3,
        "max_parse_retries": 3,
        "model_kwargs": {},
        "do_not_split_sentences": false,
        "type": "global_default_llm"
      },
      "main_response_config": {
        "prompt": "<string>"
      },
      "backchannel_response_config": {
        "prompt": "<string>"
      },
      "default_prompt_prefix": "<string>",
      "default_prompt_suffix": "<string>",
      "tools_config": {
        "tools": [
          {
            "logical_id": "<string>",
            "tool_id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "category": "<string>",
            "signature": "<string>",
            "args_schema": {},
            "static_messages_config": {
              "static_messages": [
                "<string>"
              ],
              "static_messages_selection_mode": "random"
            },
            "result_runtime_variable_name": "tool_result",
            "type": "inline_python",
            "code": "<string>"
          }
        ]
      },
      "mcp_servers": [
        {
          "server_url": "<string>",
          "name": "<string>",
          "api_headers": {}
        }
      ],
      "global_condition_evaluation_method": "tool_call",
      "nodes": [
        "<string>"
      ],
      "edges": [
        "<string>"
      ],
      "evaluation_config": {
        "evaluator_workflow_id": "<string>",
        "evaluator_workflow_version_number": 123,
        "enable_turn_by_turn_evaluation": false
      },
      "guardrail_strikes_config": {
        "max_guardrail_nodes_before_escalation": 123,
        "escalation_node_logical_id": "<string>",
        "escalation_message": "<string>"
      },
      "miscellaneous": {},
      "access_config": {
        "access_list": [
          "<string>"
        ]
      }
    },
    "node_configs": [
      {
        "logical_id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "workflow_id": "<string>",
        "version_number": 0,
        "disabled": false,
        "miscellaneous": {},
        "primary_category": "System",
        "secondary_category": "LLM",
        "is_start": false,
        "is_guardrail_node": false,
        "global_node_config": {
          "is_global": false,
          "condition": {
            "condition_freeform": "<string>",
            "condition_expression": "<string>",
            "args_schema": {},
            "static_messages_config": {
              "static_messages": [
                "<string>"
              ],
              "static_messages_selection_mode": "random"
            },
            "dynamic_messages_config": {
              "dynamic_message_prompt": "<string>"
            }
          },
          "global_condition_edge_evaluation_method": "workflow_default",
          "reverse_conditional_edge": {
            "condition_freeform": "<string>",
            "condition_expression": "<string>",
            "args_schema": {},
            "static_messages_config": {
              "static_messages": [
                "<string>"
              ],
              "static_messages_selection_mode": "random"
            },
            "dynamic_messages_config": {
              "dynamic_message_prompt": "<string>"
            }
          }
        },
        "main_response_config": {
          "prompt": "<string>"
        },
        "llms_config": {
          "logical_id": "llm_8135c6d9-172a-45cb-988f-d422aabbba27",
          "provider": "default_provider",
          "streaming": false,
          "max_retries": 3,
          "max_parse_retries": 3,
          "model_kwargs": {},
          "do_not_split_sentences": false,
          "type": "global_default_llm"
        },
        "tools_config": {
          "tools": [
            {
              "logical_id": "<string>",
              "tool_id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "category": "<string>",
              "signature": "<string>",
              "args_schema": {},
              "static_messages_config": {
                "static_messages": [
                  "<string>"
                ],
                "static_messages_selection_mode": "random"
              },
              "result_runtime_variable_name": "tool_result",
              "type": "inline_python",
              "code": "<string>"
            }
          ]
        },
        "self_loop": false,
        "wait_for_user_message": true,
        "max_consecutive_tool_calls": 1,
        "default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
        "use_mcp_tools": false,
        "ignore_default_prompt_prefix": false,
        "ignore_default_prompt_suffix": false,
        "type": "worker_llm",
        "structured_output_schema": {},
        "backchannel_response_config": {
          "prompt": "<string>"
        }
      }
    ],
    "edge_configs": [
      {
        "logical_id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "workflow_id": "<string>",
        "version_number": 0,
        "disabled": false,
        "miscellaneous": {},
        "source_node_logical_id": "<string>",
        "destination_node_logical_id": "<string>",
        "type": "direct"
      }
    ],
    "dynamic_variables": {},
    "runtime_variables": {}
  },
  "version_number": 123,
  "super_node_origins": [
    "<string>"
  ],
  "expansion_report": {
    "total_super_nodes_expanded": 0,
    "max_depth_reached": 0,
    "steps": [
      {
        "super_node_logical_id": "<string>",
        "super_workflow_id": "<string>",
        "inlined_node_count": 123,
        "inlined_edge_count": 123,
        "prefix_used": "<string>",
        "sub_workflow_version_number": 123
      }
    ],
    "mcp_merge_collisions": [
      {
        "server_url": "<string>",
        "fingerprint_a": "<string>",
        "fingerprint_b": "<string>",
        "resolution": "<string>"
      }
    ],
    "dynamic_variables_added": [
      "<string>"
    ],
    "warnings": [
      "<string>"
    ],
    "direct_exit_edges_projected": 0,
    "conditional_exit_edges_projected": 0
  }
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

workflow_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

version_number
integer | null

Response

Successful Response

Preview payload returned by POST /workflows/{id}/expand-preview.

workflow_id
string
required
expanded_config
WorkflowConfigFullyHydrated · object
required

Fully-hydrated config with all super nodes inlined as flat nodes/edges

version_number
integer | null
super_node_origins
string[]

Distinct values of node.miscellaneous['super_node_origin'] present in the expansion

expansion_report
ExpansionReport · object

Diagnostic report for the expansion, including projected super-node exit edge counts